--- llcommon/llpreprocessor.h.orig	Thu Aug  2 23:13:06 2007
+++ llcommon/llpreprocessor.h	Thu Aug  9 14:55:55 2007
@@ -36,7 +36,14 @@
 #include <endian.h>
 #endif	//	LL_LINUX
 
-#if (defined(LL_WINDOWS) || (defined(LL_LINUX) && (__BYTE_ORDER == __LITTLE_ENDIAN)) || (defined(LL_DARWIN) && defined(__LITTLE_ENDIAN__)))
+#ifdef LL_FREEBSD
+#include <sys/endian.h>
+#endif
+
+#if (defined(LL_WINDOWS) \
+ || (defined(LL_LINUX) && (__BYTE_ORDER == __LITTLE_ENDIAN)) \
+ || (defined(LL_FREEBSD) && (_BYTE_ORDER == _LITTLE_ENDIAN)) \
+ || (defined(LL_DARWIN) && defined(__LITTLE_ENDIAN__)))
 #define LL_LITTLE_ENDIAN 1
 #else
 #define LL_BIG_ENDIAN 1
@@ -62,6 +69,11 @@
         #ifndef LL_LIBXUL_ENABLED
                 #define LL_LIBXUL_ENABLED		1
         #endif // def LL_LIBXUL_ENABLED
+#elif LL_FREEBSD
+        #define LL_QUICKTIME_ENABLED	0
+	#ifndef LL_LIBXUL_ENABLED
+		#define LL_LIBXUL_ENABLED		1
+	#endif // def LL_LIBXUL_ENABLED
 #elif LL_SOLARIS
 	#define LL_QUICKTIME_ENABLED    0
 	#ifndef LL_LIBXUL_ENABLED
@@ -91,7 +103,7 @@
 #endif
 
 // Deal with minor differences on Unixy OSes.
-#if LL_DARWIN || LL_LINUX
+#if LL_DARWIN || LL_LINUX || LL_FREEBSD
 	// Different name, same functionality.
 	#define stricmp strcasecmp
 	#define strnicmp strncasecmp
