--- llvfs/lldir_freebsd.cpp.orig	Thu Aug  9 19:24:02 2007
+++ llvfs/lldir_freebsd.cpp	Thu Aug  9 19:32:55 2007
@@ -0,0 +1,47 @@
+/** 
+ * @file lldir_freebsd.cpp
+ * @brief Implementation of directory utilities for FreeBSD
+ *
+ * Copyright (c) 2002-2007, Linden Research, Inc.
+ * 
+ * Second Life Viewer Source Code
+ * The source code in this file ("Source Code") is provided by Linden Lab
+ * to you under the terms of the GNU General Public License, version 2.0
+ * ("GPL"), unless you have obtained a separate licensing agreement
+ * ("Other License"), formally executed by you and Linden Lab.  Terms of
+ * the GPL can be found in doc/GPL-license.txt in this distribution, or
+ * online at http://secondlife.com/developers/opensource/gplv2
+ * 
+ * There are special exceptions to the terms and conditions of the GPL as
+ * it is applied to this Source Code. View the full text of the exception
+ * in the file doc/FLOSS-exception.txt in this software distribution, or
+ * online at http://secondlife.com/developers/opensource/flossexception
+ * 
+ * By copying, modifying or distributing this software, you acknowledge
+ * that you have read and understood your obligations described above,
+ * and agree to abide by those obligations.
+ * 
+ * ALL LINDEN LAB SOURCE CODE IS PROVIDED "AS IS." LINDEN LAB MAKES NO
+ * WARRANTIES, EXPRESS, IMPLIED OR OTHERWISE, REGARDING ITS ACCURACY,
+ * COMPLETENESS OR PERFORMANCE.
+ */
+
+#include "linden_common.h"
+
+#include "lldir_freebsd.h"
+
+LLDir_FreeBSD::LLDir_FreeBSD()
+{
+}
+
+LLDir_FreeBSD::~LLDir_FreeBSD()
+{
+}
+
+void LLDir_FreeBSD::fillProcLinkPath(char *path, int size)
+{
+	// *NOTE: /proc/%d/file doesn't work on Linux. But that's ok,
+	// because this is the FreeBSD implementation! :-)
+
+	snprintf (path, sizeof(path), "/proc/%d/file", (int) getpid ());
+}
