--- llvfs/lldir_freebsd.h.orig	Thu Aug  9 19:23:54 2007
+++ llvfs/lldir_freebsd.h	Thu Aug  9 19:27:24 2007
@@ -0,0 +1,44 @@
+/** 
+ * @file lldir_freebsd.h
+ * @brief Definition of directory utilities class for FreeBSD
+ *
+ * Copyright (c) 2000-2007, Linden Research, Inc.
+ * 
+ * Second Life Viewer Source Code
+ * The source code in this file ("Source Code") is provided by Linden Lab
+ * to you under the terms of the GNU General Public License, version 2.0
+ * ("GPL"), unless you have obtained a separate licensing agreement
+ * ("Other License"), formally executed by you and Linden Lab.  Terms of
+ * the GPL can be found in doc/GPL-license.txt in this distribution, or
+ * online at http://secondlife.com/developers/opensource/gplv2
+ * 
+ * There are special exceptions to the terms and conditions of the GPL as
+ * it is applied to this Source Code. View the full text of the exception
+ * in the file doc/FLOSS-exception.txt in this software distribution, or
+ * online at http://secondlife.com/developers/opensource/flossexception
+ * 
+ * By copying, modifying or distributing this software, you acknowledge
+ * that you have read and understood your obligations described above,
+ * and agree to abide by those obligations.
+ * 
+ * ALL LINDEN LAB SOURCE CODE IS PROVIDED "AS IS." LINDEN LAB MAKES NO
+ * WARRANTIES, EXPRESS, IMPLIED OR OTHERWISE, REGARDING ITS ACCURACY,
+ * COMPLETENESS OR PERFORMANCE.
+ */
+
+#ifndef LL_LLDIR_FREEBSD_H
+#define LL_LLDIR_FREEBSD_H
+
+#include "lldir_linux.h"
+
+class LLDir_FreeBSD : public LLDir_Linux
+{
+public:
+	LLDir_FreeBSD();
+	virtual ~LLDir_FreeBSD();
+
+protected:
+	virtual void fillProcLinkPath(char *path, int size);
+};
+
+#endif // LL_LLDIR_FREEBSD_H
