--- newview/llstartup.cpp.orig	Thu Aug  2 23:13:14 2007
+++ newview/llstartup.cpp	Fri Aug 24 16:48:50 2007
@@ -549,20 +549,26 @@
 			componentDir += "mozilla";
 		#endif
 
-#if LL_LINUX
+#if LL_LINUX || LL_FREEBSD
 		// Yuck, Mozilla init plays with the locale - push/pop
 		// the locale to protect it, as exotic/non-C locales
 		// causes our code lots of general critical weirdness
 		// and crashness. (SL-35450)
 		std::string saved_locale = setlocale(LC_ALL, NULL);
-#endif // LL_LINUX
+#endif // LL_LINUX || LL_FREEBSD
 
 		// initialize Mozilla - pass in executable dir, location of extra dirs (chrome/, greprefs/, plugins/ etc.) and path to profile dir)
-		LLMozLib::getInstance()->init( gDirUtilp->getExecutableDir(), componentDir, gDirUtilp->getExpandedFilename( LL_PATH_MOZILLA_PROFILE, "" ) );
+		if (!LLMozLib::getInstance()->init(
+			gDirUtilp->getExecutableDir(),
+			componentDir,
+			gDirUtilp->getExpandedFilename( LL_PATH_MOZILLA_PROFILE, "" ) ) )
+		{
+			printf("LLMozLib initialization failed; error: 0x%04X\n", LLMozLib::getInstance()->getLastError() );
+		}
 
-#if LL_LINUX
+#if LL_LINUX || LL_FREEBSD
 		setlocale(LC_ALL, saved_locale.c_str() );
-#endif // LL_LINUX
+#endif // LL_LINUX || LL_FREEBSD
 
 		std::ostringstream codec;
 		codec << "[Second Life " << LL_VERSION_MAJOR << "." << LL_VERSION_MINOR << "." << LL_VERSION_PATCH << "." << LL_VERSION_BUILD << "]";
