--- newview/llwebbrowserctrl.cpp.orig	Thu Aug  2 23:13:15 2007
+++ newview/llwebbrowserctrl.cpp	Fri Aug 24 10:45:30 2007
@@ -39,10 +39,10 @@
 #include "viewer.h"
 #include "llpanellogin.h"
 
-// Setting the mozilla buffer width to 2048 exactly doesn't work, since it pads its rowbytes a bit, pushing the texture width over 2048.
-// 2000 should give enough headroom for any amount of padding it cares to add.
-const S32 MAX_DIMENSION = 2000;
-const S32 MAX_TEXTURE_DIMENSION = 2048;
+// Setting the mozilla buffer width to 1024 exactly doesn't work, since it pads its rowbytes a bit, pushing the texture width over 1024.
+// 1000 should give enough headroom for any amount of padding it cares to add.
+const S32 MAX_DIMENSION = 1000;
+const S32 MAX_TEXTURE_DIMENSION = 1024;
 
 LLWebBrowserCtrl::LLWebBrowserCtrl( const std::string& name, const LLRect& rect ) :
 	LLUICtrl( name, rect, FALSE, NULL, NULL ),
@@ -427,16 +427,16 @@
 		{
 			// render using web browser reported width and height, instead of trying to invert GL scale
 			glTexCoord2f( max_u, 0.f );
-			glVertex2i( mWebBrowserImage->getBrowserWidth(), mWebBrowserImage->getBrowserHeight() );
+			glVertex2i( mRect.getWidth(), mRect.getHeight() );
 
 			glTexCoord2f( 0.f, 0.f );
-			glVertex2i( 0, mWebBrowserImage->getBrowserHeight() );
+			glVertex2i( 0, mRect.getHeight() );
 
 			glTexCoord2f( 0.f, max_v );
 			glVertex2i( 0, 0 );
 
 			glTexCoord2f( max_u, max_v );
-			glVertex2i( mWebBrowserImage->getBrowserWidth(), 0 );
+			glVertex2i( mRect.getWidth(), 0 );
 		}
 		glEnd();
 		glBlendFunc( GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA  );
@@ -455,6 +455,8 @@
 {
 	x = mIgnoreUIScale ? llround((F32)x * LLUI::sGLScaleFactor.mV[VX]) : x;
 	y = mIgnoreUIScale ? llround((F32)(mRect.getHeight() - y) * LLUI::sGLScaleFactor.mV[VY]) : (mRect.getHeight() - y);
+	x = llround( (F32) x * mWebBrowserImage->getBrowserWidth() / mRect.getWidth() );
+	y = llround( (F32) y * mWebBrowserImage->getBrowserHeight() / mRect.getHeight() );
 }
 
 ////////////////////////////////////////////////////////////////////////////////
