--- newview/viewer.cpp.orig	Thu Aug  2 23:13:13 2007
+++ newview/viewer.cpp	Sun Aug 19 14:59:25 2007
@@ -71,14 +71,14 @@
 #include "smrtheap/smrtheap.h"
 #endif // LL_WINDOWS && LL_RELEASE_FOR_DOWNLOAD && LL_USE_SMARTHEAP
 
-#elif LL_DARWIN || LL_LINUX || LL_SOLARIS
+#elif LL_DARWIN || LL_LINUX || LL_FREEBSD || LL_SOLARIS
 
   #	include <sys/socket.h>
 //  #	include <sys/stat.h>		// mkdir()
   #	include <netinet/in.h>
   #	include <arpa/inet.h>	// inet_ntoa()
 
-  #if LL_LINUX
+  #if LL_LINUX || LL_FREEBSD
   #	include <dlfcn.h>		// RTLD_LAZY
   #     include <execinfo.h>            // backtrace - glibc only
   #     ifndef LL_ELFBIN
@@ -1241,10 +1241,10 @@
 				// XXX -- We need to exit fullscreen mode for this to work.
 				// XXX -- system() also doesn't wait for completion.  Hmm...
 				system(command_str.c_str());		/* Flawfinder: Ignore */
-#elif LL_LINUX || LL_SOLARIS
+#elif LL_LINUX || LL_FREEBSD || LL_SOLARIS
 				std::string cmd =gDirUtilp->getAppRODataDir();
 				cmd += gDirUtilp->getDirDelimiter();
-#if LL_LINUX
+#if LL_LINUX || LL_FREEBSD
 				cmd += "linux-crash-logger.bin";
 #else // LL_SOLARIS
 				cmd += "bin/solaris-crash-logger";
@@ -2170,12 +2170,12 @@
 							     "SecondLife.old");
 	LLFile::remove(old_log_file.c_str());
 
-#if LL_LINUX || LL_SOLARIS
+#if LL_LINUX || LL_FREEBSD || LL_SOLARIS
 	// Remove the last stack trace, if any
 	std::string old_stack_file =
 		gDirUtilp->getExpandedFilename(LL_PATH_LOGS,"stack_trace.log");
 	LLFile::remove(old_stack_file.c_str());
-#endif // LL_LINUX || LL_SOLARIS
+#endif // LL_LINUX || LL_FREEBSD || LL_SOLARIS
 
 	// Rename current log file to ".old"
 	std::string log_file = gDirUtilp->getExpandedFilename(LL_PATH_LOGS,
@@ -2319,14 +2319,14 @@
 
 	return serial_md5;
 
-#elif LL_LINUX || LL_SOLARIS
+#elif LL_LINUX || LL_FREEBSD || LL_SOLARIS
 	// TODO
 	return serial_md5;
 
 #endif
 }
 
-#if LL_LINUX
+#if LL_LINUX || LL_FREEBSD
 #define MAX_STACK_TRACE_DEPTH 40
 // This uses glibc's basic built-in stack-trace functions for a not very
 // amazing backtrace.
@@ -2485,7 +2485,7 @@
 	return success;
 }
 #endif // LL_ELFBIN
-#endif // LL_LINUX
+#endif // LL_LINUX || LL_FREEBSD
 
 /* Report whether we're being run under the control of a debugger. */
 static inline bool being_debugged()
@@ -2494,7 +2494,7 @@
 	
 	if (debugged == unknown)
 	{
-#if LL_LINUX
+#if LL_LINUX || LL_FREEBSD
 		pid_t ppid = getppid();
 		char *name;
 		int ret;
@@ -2524,7 +2524,7 @@
 			}
 			free(name);
 		}
-#endif // LL_LINUX
+#endif // LL_LINUX || LL_FREEBSD
 	}
 
 	return debugged == yes;
@@ -2635,7 +2635,7 @@
 		break;
 	}
 
-#elif LL_DARWIN
+#elif lL_DARWIN
 	// Macintosh
 	LLString command_str;
 	command_str = "crashreporter.app/Contents/MacOS/crashreporter ";
@@ -2647,7 +2647,7 @@
 	// Sometimes signals don't seem to quit the viewer.  
 	// Make sure we exit so as to not totally confuse the user.
 	exit(1);
-#elif LL_LINUX || LL_SOLARIS
+#elif LL_LINUX || LL_FREEBSD || LL_SOLARIS
 	// Always generate the report, have the logger do the asking, and
 	// don't wait for the logger before exiting (-> total cleanup).
 	if (CRASH_BEHAVIOR_NEVER_SEND != gCrashBehavior)
@@ -4201,6 +4201,8 @@
 
 void audio_update_wind(bool force_update)
 {
+	if (!gAudiop) return;
+
 #ifdef kAUDIO_ENABLE_WIND
 	//
 	//  Extract height above water to modulate filter by whether above/below water 
@@ -5262,7 +5264,7 @@
 		return;
 	}
 
-# if LL_LINUX || LL_SOLARIS
+# if LL_LINUX || LL_FREEBSD || LL_SOLARIS
 	// Really useful to know what KIND of crash we got.
 	// Might want this on OSX too!
 	llwarns << "*** Caught signal " << s << llendl;
